---
title: '`glab changelog`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Generate changelogs from your project's commit history.

## Synopsis

Generate changelogs from commits in your project's Git repository.
Changelog entries are built from commits that include a configured Git
trailer, such as 'Changelog'.

For more information about how GitLab generates changelogs, see
[Changelogs](https://docs.gitlab.com/user/project/changelogs/).

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`generate`](generate.md)
